Go to index page.

# raw2gif

A program to convert RAW image data into GIF files. Only one image can be handled. The RAW image file is assumed to hold one pixel color in one byte, and therefore the file size must be Width times Height as specified by the -s option below.

# Usage:

    raw2gif [-q] -s Width Height [-p ColorMapFile] [-h] RawFile

If no RawFile is given, Raw2Gif will try to read RAW data from stdin. The generated GIF File is dumped to stdout.

# Memory required:

Line.

# Options:

[-q]
  Quiet mode. Defaults off on MSDOS, on under UNIX. Controls printout of running scan lines. Use -q- to invert.

-s Width Height
  the dimensions of the image MUST be specified in the command line. The RAW image file size must be exactly Width times Height bytes (each byte is one pixel color).

[-p ColorMapFile]
  Color map to load for given RAW image. This file has 4 integers in line (ColorIndex Red Green Blue), and the ColorIndex is in order starting from 1. See GifClrMp, which can also use/create these bitmap files. If no color map is specified, uses the EGA 16 color pallete as default color map.

[-h]
  Print one line of command line help, similar to Usage above.

# Author:

Gershon Elber